Subject: bug#21218: ls -d

From: "Sneeh, Eddie" <[email-masked]>
Date: Fri, 7 Aug 2015 17:01:06 -0700

Hi,
I believe there is a problem with ls -d (unless the intent is to just list
1 directory).
Say I have a dir mydir, it has directories d1 and d2, and files f1 and f2.
I want to list only d1 and d2.  How do I do that?  I tried ls -d but that
doesn't seem to work:
\ls -d mydir
returns: mydir
\ls -d mydir/*
returns: mydir/d1 mydir/d2 mydir/f1 mydir/f2
but f1 and f2 are files.

How can I achieve the following:
\ls ?????? mydir
to return: mydir/d1 mydir/d2

-- 
Best Regards,
*Eddie Sneeh*